\name{cauchy.mle}
\alias{cauchy.mle}
\title{ Find MLE for location and scale parameter }

\description{
Some description.
}
\arguments{
  \item{x}{   ... sample }
  \item{maxiter}{ ... max. number of iterations (default = 10) }
  \item{eps}{ ... iterations stop if max(change in estimate)<eps 
             (default= 1e-8) }
  \item{itertrace}{... if TRUE, iterations history is printed (default=F)}
  \item{maxattempts}{ max. number of random stepsize attempting to improve 
            likelihood (default=100)}
}

\value{
 A list of:
    \item{maximum likelihood parameter estimates}{ based on Newton's method}
     \item{value of loglikelihood}{}
  \item{1st derivative of log likelihood at current estimates}{}
   \item{Fisher information matrix}{}
}

\details{
Some more details here: 
initial values to start interations are: 
median of sample, 0.5 times inter-quartile range of sample.
}
\author{Angela}
\examples{
set.seed(123)
cauchy.mle(x=rcauchy(100))
### you should get est.:  0.04158235, 1.02675036
}
\keyword{htest}

